package com.yuchen.saas.park.api.entity.security;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.nest.springwrap.core.mp.base.BaseEntity;

/**
 * <p>
 * 电子围栏防区表
 * </p>
 *
 * @author 洪铭铭
 * @since 2024-09-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("saas_park_electronic_fence_area")
@ApiModel(value="SaasParkElectronicFenceArea对象", description="电子围栏防区表")
public class SaasParkElectronicFenceArea extends BaseEntity {


    @ApiModelProperty(value = "电子围栏id")
    @TableField("fence_id")
    private Long fenceId;

    @ApiModelProperty(value = "空间位置id")
    @TableField("location_point_id")
    private Long locationPointId;

    @ApiModelProperty(value = "经度")
    @TableField("longitude")
    private String longitude;

    @ApiModelProperty(value = "纬度")
    @TableField("latitude")
    private String latitude;

    @ApiModelProperty(value = "探测器类型")
    @TableField("detector_type")
    private String detectorType;

    @ApiModelProperty(value = "排序")
    @TableField("sort")
    private Integer sort;

    public Long getFenceId() {
        return fenceId;
    }

    public void setFenceId(Long fenceId) {
        this.fenceId = fenceId;
    }

    public Long getLocationPointId() {
        return locationPointId;
    }

    public void setLocationPointId(Long locationPointId) {
        this.locationPointId = locationPointId;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getDetectorType() {
        return detectorType;
    }

    public void setDetectorType(String detectorType) {
        this.detectorType = detectorType;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }
}
